Simple image for [tea](https://gitea.com/gitea/tea), the cli for gitea, based on Alpine.

view on [docker hub](https://hub.docker.com/r/vivicat/docker-gitea-tea)

# Running
`tea` is set as the entrypoint executable, so just skip `tea` in the arguments when running, like so:
```
docker run --rm vivicat/docker-gitea-tea help
```

# Environment variables

These variables will auto-login to your instance before running commands.
* `GITEA_URL` - Set this to the URL of your instance
* `GITEA_TOKEN` - Set this to the gitea api token generated from User Settings > Applications > Manage Access Tokens
* `GITEA_USER=ci` - Optionally, set the name of the user for the `tea` session.

# Complete example
```
docker run --rm -e "GITEA_URL=http://example.com" -e "GITEA_TOKEN=deadbeefdeadbeefdeadbeefdeadbeef" vivicat/docker-gitea-tea repos
```
